<button onclick="editCard()"
    class="p-0 w-12 h-12 bg-blue-600 rounded-full hover:bg-blue-800 mouse focus:outline-none fixed bottom-10 right-10 text-white text-3xl items-center flex justify-center">
    <svg class="fill-white w-[18px]" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
        <path
            d="M362.7 19.3L314.3 67.7 444.3 197.7l48.4-48.4c25-25 25-65.5 0-90.5L453.3 19.3c-25-25-65.5-25-90.5 0zm-71 71L58.6 323.5c-10.4 10.4-18 23.3-22.2 37.4L1 481.2C-1.5 489.7 .8 498.8 7 505s15.3 8.5 23.7 6.1l120.3-35.4c14.1-4.2 27-11.8 37.4-22.2L421.7 220.3 291.7 90.3z" />
    </svg>
</button>


<%- include('head', {title: card.name , user, message}); %>

    <script>
        function addComment() {
            if (!isConnected) return createMessage(needConnectionMsg)
            document.querySelector('#overlay').classList.toggle('hidden')
            document.querySelector('#add-comment').classList.toggle('hidden')
        }

        function editCard() {
            if (!isConnected) return createMessage(needConnectionMsg)
            for (let el of document.querySelectorAll('.edit,.not-edit')) el.classList.toggle('hidden')
            document.querySelector('form').classList.toggle('gap-3')
        }


        const onFileSelected = (e) => {
            console.log('e', e)
            let image = e.target.files[0];
            let reader = new FileReader();
            reader.readAsDataURL(image);
            reader.onload = (e) => {
                const base64 = e.target.result

                document.querySelector('#card-image').src = base64
            };
        };
    </script>

    <h1 class="text-3xl text-center mt-3 font-bold"><%- card.name %></h1>

    <base href="/">


    <form method="POST" action="/api/card/save" enctype="multipart/form-data"
        class="flex rounded-xl shadow-md p-4 flex flex-col bg-white">

        <input type="hidden" name="cardId" value="<%- card._id %>">

        <img src="<%- card.imagePath %>" class="rounded-xl w-full h-[450px] bg-slate-100 object-cover not-edit">




        <div class="flex flex-col edit hidden w-full">
            <label class="font-medium mb-2 text-gray-900 text-sm edit hidden">Image</label>
            <img id="card-image" src="<%- card.imagePath %>" onclick="document.querySelector(`#image-file`).click()"
                class="rounded-xl w-full h-[330px] object-cover bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 
            focus:border-blue-500 block cursor-pointer" src="/public/image-placeholder.jpg">

            <input type="file" id="image-file" name="image" onchange="onFileSelected(event)" accept="image/*"
                class="hidden">
        </div>



        <h3 class="font-semibold mt-2 truncate not-edit"><%- card.name %></h3>

        <div class="flex flex-col edit hidden max-w-xs">
            <label class="font-medium mb-2 text-gray-900 text-sm">Nom</label>
            <input type="text" name="name" value="<%- card.name %>" required=""
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        </div>


        <span class="truncate not-edit"><%- card.brand %></span>


        <div class="flex flex-col edit hidden max-w-xs">
            <label class="font-medium mb-2 text-gray-900 text-sm">Marque</label>
            <select name="brandId" required
                onchange="this.value == 'new-brand' ? document.querySelector('#new-brand').classList.remove('hidden') : document.querySelector('#new-brand').classList.add('hidden')"
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
                <option disabled selected>Sélectionnez une marque</option>
                <option value="new-brand">Ajouter une marque</option>
                <% for (let brand of brands) { %>
                    <option <%- brand._id==card.brandId ? 'selected' : '' %>
                        value="<%- brand._id %>"><%- brand.name %></option>
                    <% } %>
            </select>

            <div id="new-brand" class="flex flex-col mt-3 hidden">
                <label class="font-medium mb-2 text-gray-900 text-sm">Nom de la nouvelle marque</label>
                <input type="text" name="brand"
                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
            </div>
        </div>

        <span class="text-gray-500 text-sm not-edit"><%- card.price.toLocaleString() %>€</span>

        <div class="flex flex-col edit hidde max-w-xs hidden not-edit">
            <label class="font-medium mb-2 text-gray-900 text-sm">Prix</label>
            <input type="number" name="price" required value="<%- card.price %>"
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        </div>

        <div class="flex mt-2 items-end flex-1 not-edit">
            <% for (let i=0; i < 5; i++) { %>
                <svg class="<%- card.rating > i ? 'fill-yellow-400':'fill-gray-200' %> w-4"
                    xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512">
                    <path
                        d="M316.9 18C311.6 7 300.4 0 288.1 0s-23.4 7-28.8 18L195 150.3 51.4 171.5c-12 1.8-22 10.2-25.7 21.7s-.7 24.2 7.9 32.7L137.8 329 113.2 474.7c-2 12 3 24.2 12.9 31.3s23 8 33.8 2.3l128.3-68.5 128.3 68.5c10.8 5.7 23.9 4.9 33.8-2.3s14.9-19.3 12.9-31.3L438.5 329 542.7 225.9c8.6-8.5 11.7-21.2 7.9-32.7s-13.7-19.9-25.7-21.7L381.2 150.3 316.9 18z" />
                </svg>
                <% } %>
        </div>

        <div class="flex gap-3 edit hidden">
            <button type="button" onclick="editCard()"
                class="rounded-lg px-4 py-2 bg-gray-400 text-white mt-4 flex w-fit justify-center hover:bg-gray-500">Annuler</button>
            <button type="submit"
                class="rounded-lg px-4 py-2 bg-blue-600 text-white mt-4 flex w-fit justify-center hover:bg-blue-800">Sauvegarder</button>

            <button type="submit" form="remove-card"
                onclick="return confirm('Êtes-vous sûr de vouloir supprimer cette carte ?')"
                class="rounded-lg px-4 py-2 bg-red-600 text-white mt-4 flex w-fit justify-center hover:bg-red-800">Supprimer</button>

        </div>

    </form>


    <form id="remove-card" method="POST" action="/api/card/remove">
        <input type="hidden" name="cardId" value="<%- card.cardId %>">
    </form>



    <h2 class="text-3xl text-center mt-20 font-semibold mb-10">Commentaires</h2>

    <div class="flex flex-col gap-3">
        <% for (let comment of card.comments) { %>
            <%- include('components/comment-box', {comment}) %>
                <% } %>

                    <% if (!card.comments.length) { %>
                        <span class="mx-auto italic">Pas encore de commentaire.</span>
                        <%}%>
    </div>

    <button onclick="addComment()"
        class="rounded-lg px-4 py-2 bg-blue-600 text-white mt-4 flex w-fit justify-center mx-auto hover:bg-blue-800">
        Ajouter un commentaire</button>


    <div id="overlay"
        class="hidden fixed fixed z-10 inset-0 bg-black bg-opacity-30 h-screen w-full flex justify-center items-start md:items-center pt-10 md:pt-0">

        <div id="add-comment" class="hidden rounded-lg fixed m-auto flex flex-col z-20 bg-white p-5 pt-1">
            <h2 class="text-3xl text-center mt-3 font-bold">Ajouter un commentaire</h2>
            <form method="POST" action="/api/comment/add" class="flex flex-col gap-3 pt-5">
                <input type="hidden" name="cardId" value="<%- card._id %>">
                <div class="flex flex-col">
                    <label class="font-medium mb-2 text-gray-900 text-sm">Commentaire</label>
                    <textarea name="content" required
                        class="min-h-[60px] max-h-36 bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2"></textarea>
                </div>

                <div class="flex flex-col">
                    <label class="font-medium mb-2 text-gray-900 text-sm">Etoiles</label>
                    <input type="number" min="1" max="5" name="rating" step="1" value="5" required
                        class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
                </div>

                <div class="flex justify-end gap-3">
                    <button type="button" onclick="addComment()"
                        class="rounded-lg px-4 py-2 bg-gray-400 text-white mt-4 flex w-fit justify-center hover:bg-gray-500">Annuler</button>
                    <button type="submit"
                        class="rounded-lg px-4 py-2 bg-blue-600 text-white mt-4 flex w-fit justify-center hover:bg-blue-800">Ajouter</button>
                </div>
            </form>
        </div>

        <%- include('footer'); %>